> For the complete documentation index, see [llms.txt](https://docs.sportmonks.com/v2/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportmonks.com/v2/endpoint-overview/players/get-players-by-country-id.md).

# GET Players by Country ID

### `GET` Players by Country ID

```
https://soccer.sportmonks.com/api/v2.0/countries/{ID}/players
```

| Endpoint details        |         |
| ----------------------- | ------- |
| Authorization           | API Key |
| Pagination              | NO      |
| Allowed nested includes | 2       |

#### Parameters

| Available parameters |                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------- |
| include              | Enrich the API with more data and/or nested includes. Can be used by adding `&include=`  to your request url. |

#### Include options

`position` `team` `stats` `trophies` `sidelined` `transfers` `lineups` `country`

Includes are the cornerstone of our API and allow you to enrich and customize your requests. This flexibility is what distinguishes us from our competitors.&#x20;

You can learn more about what includes are and how they work here:

{% content-ref url="/pages/-MJXOeyBzTS35Z7kTf1c" %}
[Includes](/v2/tutorials/enriching-your-response/includes.md)
{% endcontent-ref %}

#### Example response

{% tabs %}
{% tab title="Request" %}

```
https://soccer.sportmonks.com/api/v2.0/countries/320/players?api_token={API_TOKEN}
```

{% endtab %}

{% tab title="Response" %}

```javascript
"data": [
        {
            "player_id": 49,
            "team_id": 3,
            "country_id": 320,
            "position_id": 4,
            "common_name": "N. Bendtner",
            "display_name": "Nicklas Bendtner",
            "fullname": "Nicklas Bendtner",
            "firstname": "Nicklas",
            "lastname": "Bendtner",
            "nationality": "Denmark",
            "birthdate": "16/01/1988",
            "birthcountry": "Denmark",
            "birthplace": "København",
            "height": "193 cm",
            "weight": "84 kg",
            "image_path": "https://cdn.sportmonks.com/images/soccer/players/17/49.png"
        },
        {
            "player_id": 169,
            "team_id": 42,
            "country_id": 320,
            "position_id": 1,
            "common_name": "K. Schmeichel",
            "display_name": "Kasper Schmeichel",
            "fullname": "Kasper Schmeichel",
            "firstname": "Kasper",
            "lastname": "Schmeichel",
            "nationality": "Denmark",
            "birthdate": "05/11/1986",
            "birthcountry": "Denmark",
            "birthplace": "København",
            "height": "189 cm",
            "weight": "89 kg",
            "image_path": "https://cdn.sportmonks.com/images/soccer/players/9/169.png"
        },
        {
            "player_id": 269,
            "team_id": 2,
            "country_id": 320,
            "position_id": 2,
            "common_name": "L. Jacobsen",
            "display_name": "Lars Jacobsen",
            "fullname": "Lars Christian Jacobsen",
            "firstname": "Lars Christian",
            "lastname": "Jacobsen",
            "nationality": "Denmark",
            "birthdate": "20/09/1979",
            "birthcountry": "Denmark",
            "birthplace": "Odense",
            "height": "181 cm",
            "weight": "76 kg",
            "image_path": "https://cdn.sportmonks.com/images/soccer/players/13/269.png"
        },
        {
            "player_id": 335,
            "team_id": 11,
            "country_id": 320,
            "position_id": 3,
            "common_name": "L. Andreasen",
            "display_name": "Leon Andreasen",
            "fullname": "Leon Andreasen",
            "firstname": "Leon",
            "lastname": "Andreasen",
            "nationality": "Denmark",
            "birthdate": "23/04/1983",
            "birthcountry": "Denmark",
            "birthplace": "Aarhus",
            "height": "188 cm",
            "weight": "81 kg",
            "image_path": "https://cdn.sportmonks.com/images/soccer/players/15/335.png"
        },
        {
            "player_id": 449,
            "team_id": 26,
            "country_id": 320,
            "position_id": 1,
            "common_name": "T. Løvendahl Sørensen",
            "display_name": "Thomas Sorensen",
            "fullname": "Thomas Løvendahl Sørensen",
            "firstname": "Thomas",
            "lastname": "Løvendahl Sørensen",
            "nationality": "Denmark",
            "birthdate": "12/06/1976",
            "birthcountry": "Denmark",
            "birthplace": "Fredericia",
            "height": "196 cm",
            "weight": "89 kg",
            "image_path": "https://cdn.sportmonks.com/images/soccer/players/1/449.png"
        },
```

{% endtab %}

{% tab title="Field Description" %}

| Field          | Description                                                                |
| -------------- | -------------------------------------------------------------------------- |
| `player_id`    | The unique id of the main player                                           |
| `team_id`      | The unique id of the team the player belongs to                            |
| `country_id`   | The unique id of the country the player is from                            |
| `position_id`  | The unique id of the position the player plays in                          |
| `common_name`  | The common name the player is known for                                    |
| `display_name` | The display name of the player. Often used to show in the lineup formation |
| `fullname`     | The full name of the player                                                |
| `firstname`    | The first name of the player                                               |
| `lastname`     | The last name of the player                                                |
| `nationality`  | The nationality of the player                                              |
| `birthdate`    | The date of birth of the player                                            |
| `birthcountry` | The country the player was born in                                         |
| `birthplace`   | The place the player was born in                                           |
| `height`       | The height of the player                                                   |
| `weight`       | The weight of the player                                                   |
| `image_path`   | The URL of the player image                                                |
| {% endtab %}   |                                                                            |
| {% endtabs %}  |                                                                            |

{% hint style="info" %}
Check this endpoint in Postman.\
&#x20;                                                             [![Run in Postman](https://run.pstmn.io/button.svg)](https://football-postman.sportmonks.com/#e25a670f-d10d-488e-8e4c-7cf647e2ac97)
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportmonks.com/v2/endpoint-overview/players/get-players-by-country-id.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
